Bug 470271 - [patch] Add support for symmetric encryption
[patch] Add support for symmetric encryption
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pygpgme (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 09:40 EST by Miloslav Trmač
Modified: 2013-01-09 23:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 20:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add symmetric encryption support to pypgme (1.78 KB, patch)
2008-11-06 09:40 EST, Miloslav Trmač
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 295918 None None None Never

  None (edit)
Description Miloslav Trmač 2008-11-06 09:40:55 EST
Created attachment 322729 [details]
Add symmetric encryption support to pypgme

Description of problem:
gpgme_op_encrypt supports symmetric encryption by passing NULL as the recipient list.  ctx.encrypt() in pygpgme cannot currently perform that operation.

Version-Release number of selected component (if applicable):
pygpgme-0.1-8.fc9
Comment 1 Toshio Ernie Kuratomi 2008-11-07 10:15:19 EST
Enhancements should be driven upstream.  I can open a bug for you if you'd like but I won't be able to defend your patch as well as you can.  Here's the URL to report the bug:
  https://bugs.launchpad.net/pygpgme

Feel free to add the bug URL here when it's created and I can track it.  When it's committed I can apply it as a snapshot to our package.

Let me know if there's a reason you can't work with upstream and need me to proxy the conversation back and forth.
Comment 2 john5342 2008-11-11 08:43:03 EST
This bug has been triaged
Comment 3 Jesse Keating 2009-07-28 20:33:14 EDT
Patches added in rawhide.

Note You need to log in before you can comment on or make changes to this bug.